#182 closed defect (fixed)

rtems_shutdown_executive cannot be called before multitasking.

Reported by: Chris Johns Owned by: Joel Sherrill
Priority: low Milestone: 4.11
Component: score Version: unknown
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

Calling rtems_shutdown_executive before the executive state
has entered multitasking results in a crash. The BSP thread
context has not been initialised. The executive could be
shutdown by a user extension fatal error handler that is
called because of an internal error during startup.

Release:
cvs-head

Attachments (1)

exit_during_start.diff (6.1 KB) - added by Joel Sherrill on 12/11/06 at 14:29:38.
!st attempt

Download all attachments as: .zip

Change History (5)

Changed on 12/11/06 at 14:29:38 by Joel Sherrill

Attachment: exit_during_start.diff added

!st attempt

comment:1 Changed on 12/12/06 at 04:42:14 by Chris Johns

attachments.ispatch: 01
attachments.mimetype: text/x-patchtext/plain

comment:2 Changed on 08/10/10 at 21:59:19 by Joel Sherrill

Milestone: 2Not Assigned
rep_platform: All
Resolution: fixed
Status: assignedclosed

comment:3 Changed on 08/13/10 at 10:12:53 by Chris Johns

A good solution. It is a programming error on the user's part.

Is this fixed on which branches ?

comment:4 Changed on 11/20/14 at 04:41:05 by Chris Johns

Milestone: Not Assigned4.11

All fixed and close on HEAD.

Note: See TracTickets for help on using tickets.